	var ground;
	// 地鼠出现位置坐标
	var coordinate = [{x: 67, y:159}, {x: 162, y:158}, {x: 259, y:160}, {x: 53, y: 230}, {x: 162, y: 228}, {x: 263, y: 228}, {x: 50, y: 300}, {x: 162, y: 303}, {x: 272, y: 304}];//洞口坐标
	// 地鼠出现定时器
	var gametimer;
	var mask = [];
	var mouse = new Array(9);
	// 最大地鼠数
	var maxCount = 2;
	// 分数  点中一个加10
	var score = 0;
	// 生命 自由下落一个减一
	var life = 10;
	var initSize = 16;
	var fontSize;
	window.onload = function(){
		ground = document.getElementsByClassName('ground')[0];
		fontSize = document.documentElement.style.fontSize.slice(0,document.documentElement.style.fontSize.length - 2)
		console.log('fontSize',fontSize)
		ground.onmousedown = function(){
			ground.style.cursor = 'url("./images/hammer2.png"), auto'
		};
		ground.onmouseup = function(){
			ground.style.cursor = 'url("./images/hammer.png"), auto'
		};
		init();
	}

	function init(){
		// 创建地鼠出现位置
		createMask();
		// 每隔一段时间出现一个地鼠
		gameTimer = setInterval(function(){
			// 创建每一个地鼠
			// createMouse();
			controlMouse();
			// 每次生成后判断是否结束
			if(life <= 0){
				clearInterval(gameTimer);	
				// onJSBridgeReady(score)
				document.addEventListener('UniAppJSBridgeReady', function() {
				    console.log('结束')
				    uni.postMessage({
				        data: {
				            action: score
				        }
				    });
				    uni.getEnv(function(res) {
				        console.log('当前环境：' + JSON.stringify(res));
				    });
				});
				
				uni.navigateTo({
					url: '/pages/sigin_in/mouse_hit/transit/transit'
				});
				// $('#doItAgain').show();
			}
			document.getElementsByClassName('scoreCon')[0].innerHTML = score;
			document.getElementsByClassName('life')[0].innerHTML = life;
			// 最大数++
			maxCount = score / 100 + 1;
		},50);
	}

	function createMask(){
		// 根据坐标生成洞穴位置
		for(var i = 0; i < coordinate.length;i ++){
			coordinate[i].x = (fontSize/initSize)*coordinate[i].x;
			coordinate[i].y = (fontSize/initSize)*coordinate[i].y;
			// 创建div  将来插入地鼠
			var temp = document.createElement('div');
			temp.classList.add('mask');
			// 确定每一个地鼠巢穴位置
			temp.style.left = coordinate[i].x/fontSize + 'rem';
			temp.style.top = coordinate[i].y/fontSize + 'rem';
			
			// 创建草坪遮盖
			var img = document.createElement('div');
			img.classList.add('mask');
			// 设置遮罩层背景  每一个洞穴背景不一样
			img.style.background = 'url("./images/mask'+i+'.png")';
			img.style.backgroundSize = '100% 100%';
			// 控制层级  草坪在地鼠身上
			// img.style.zIndex = 100;
			img.style.zIndex = i * 2 +1;

			// 将元素放置在数组中
			mask[i] = temp;
			temp.appendChild(img);
			// 将创建div插入父级
			ground.appendChild(temp);
			// 记录点击的位置
			temp.index = i;
			// 点击每一个消失
			temp.onclick = function(){
			
				disappear(this.index,true);
			}
		}
	}

	// 创建地鼠
	function createMouse(i){
		// 随机的背景图片
		var num = Math.floor(Math.random() * 4);
		mouse[i] = num;
		var temp = document.createElement('div');
		temp.classList.add('mouse');
		// 设置地鼠出现的背景图片
		temp.style.background = 'url("./images/mouse'+num+'.png")';
		temp.style.backgroundSize = '100% 100%';

		// 每一个地鼠需要出现在指定的位置  在对应洞穴上出现一只地鼠
		// 用两个数组对应  一个存放着洞穴  一个存放地鼠
		mouse[i] = temp;
		temp.style.zIndex = i * 2 ;
		temp.style.animation = "moveTop 0.5s linear";
	   
		mask[i].appendChild(temp);
		var timer = setTimeout(function(){
			disappear(i,false);
		},2000);
		temp.timer = timer;
	}
	// 控制生称帝书的条件
	function controlMouse(){
		// 随机出现位置  并且同时出现的地鼠个数不大于最大个数  同一个位置不能出现两只
		var num = Math.floor(Math.random()*9);
		if(mouse.filter(function (item){
			return item;
			// 限制出现的最大数和出现的位置
		}).length < maxCount && mouse[num] == null){
			createMouse(num);
		}
	}

	// 消失函数
	function disappear(i,isHit){
		if(mouse[i]){
			// 无论是否被打均缩回洞里  通过改变top值
			mouse[i].style.top = '45'/fontSize + 'rem';
			// 被打 改变样式 添加打懵圈的小星星 改变背景图片
			if(isHit){
				// 打中分数加十
				score += 10;
				// 创建包含懵圈小星星的元素
				var bomp = document.createElement('img');
				bomp.classList.add('mouse');
				bomp.style.top = '-20'/fontSize + 'rem';
				// 添加gif动图为背景显示
				bomp.src = "./images/bomb.gif";
				// 替换掉当前老鼠的图片
				mouse[i].style.backgorund = 'url("./images/hit'+mouse[i].num +'")';
				// mouse[i].style.backgroundSize = '100% 100%';
				// 插入到当前点击的位置
				mouse[i].appendChild(bomp);
				// 清除自身的下落
				clearTimeout(mouse[i].timer);
			}else{
				// 没有被打  自己缩回生命减一
				life -= 1;
			}
			setTimeout(function(){
				if(mouse[i]){
					mask[i].removeChild(mouse[i]);
				}
				mouse[i] = null;
			},500);
		}
	}
